Debian Bug report logs - #567168
munin: Fail to work out of the box because /var/www/munin/ is missing

version graph

Package: sitesummary; Maintainer for sitesummary is Debian Edu Developers <debian-edu@lists.debian.org>; Source for sitesummary is src:sitesummary.

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Wed, 27 Jan 2010 19:18:04 UTC

Severity: important

Found in version sitesummary/0.0.50

Fixed in version sitesummary/0.0.59

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Munin Debian Maintainers <munin-deb-maint@linpro.no>:
Bug#567168; Package munin. (Wed, 27 Jan 2010 19:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Munin Debian Maintainers <munin-deb-maint@linpro.no>. (Wed, 27 Jan 2010 19:18:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: munin: Fail to work out of the box because /var/www/munin/ is missing
Date: Wed, 27 Jan 2010 20:14:53 +0100
Package:  munin
Version:  1.4.3-2
Severity: important
User:     debian-edu@lists.debian.org
UserTags: debian-edu

Munin do not work out of the box after installing it.  It produces an
email from cron every 5 minutes like this:

From: root@postoffice.intern (Cron Daemon)
To: root@postoffice.intern
Subject: Cron <munin@tjener> if [ -x /usr/bin/munin-cron ]; then /usr/bin/munin-cron; fi
Content-Type: text/plain; charset=UTF-8
X-Cron-Env: <MAILTO=root>
X-Cron-Env: <SHELL=/bin/sh>
X-Cron-Env: <HOME=/var/lib/munin>
X-Cron-Env: <PATH=/usr/bin:/bin>
X-Cron-Env: <LOGNAME=munin>
Sender: CronDaemon <munin@postoffice.intern>

cp: cannot create regular file `/var/www/munin/': Is a directory
[ERROR] Could not copy style.css from /etc/munin/templates to /var/www/munin

The fix is to create /var/www/munin/ and make sure the munin user have
write access to it (I used "chown munin /var/www/munin").

Please make munin work out of the box without any configuration, like
it used to work in Lenny.

I discovered this when testing Debian Edu based on Squeeze, where
munin is automatically configured using sitesummary.

Happy hacking,
-- 
Petter Reinholdtsen




Reply sent to Holger Levsen <holger@layer-acht.org>:
You have taken responsibility. (Wed, 27 Jan 2010 21:30:09 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Wed, 27 Jan 2010 21:30:09 GMT) Full text and rfc822 format available.

Message #10 received at 567168-done@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 567168-done@bugs.debian.org
Subject: Re: Bug#567168: munin: Fail to work out of the box because /var/www/munin/ is missing
Date: Wed, 27 Jan 2010 22:26:06 +0100
[Message part 1 (text/plain, inline)]
Hi Petter,

On Mittwoch, 27. Januar 2010, Petter Reinholdtsen wrote:
> Munin do not work out of the box after installing it.  

It does.

> The fix is to create /var/www/munin/ and make sure the munin user have
> write access to it (I used "chown munin /var/www/munin").

No. Please read NEWS.Debian.

We moved the web directory to /var/cache/munin/www to comply with FHS.

> I discovered this when testing Debian Edu based on Squeeze, where
> munin is automatically configured using sitesummary.

The Debian Edu configuration is broken.


cheers,
	Holger, wearing his munin hat pretending not to know Debian Edu ;-)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Munin Debian Maintainers <munin-deb-maint@linpro.no>:
Bug#567168; Package munin. (Wed, 27 Jan 2010 22:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Munin Debian Maintainers <munin-deb-maint@linpro.no>. (Wed, 27 Jan 2010 22:15:08 GMT) Full text and rfc822 format available.

Message #15 received at 567168@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 567168@bugs.debian.org
Subject: Re: Bug#567168 closed by Holger Levsen <holger@layer-acht.org> (Re: Bug#567168: munin: Fail to work out of the box because /var/www/munin/ is missing)
Date: Wed, 27 Jan 2010 23:11:38 +0100
[Holger Levsen]
> The Debian Edu configuration is broken.

How?  This is the complete Debian Edu configuration for Munin, and
/var/www/munin is not mentioned anywhere.  Seem to me some default
value is wrong in the munin package.

tjener:~# for f in  /etc/default/munin-node /etc/munin/debian-edu-munin-node.conf; do echo "********* $f ******"; cat $f; done
********* /etc/default/munin-node ******
#Debian Edu is using an alternative configuration file:
DAEMON_ARGS="--config /etc/munin/debian-edu-munin-node.conf"
********* /etc/munin/debian-edu-munin-node.conf ******
#
# Example config-file for munin-node
#

log_level 4
log_file /var/log/munin/munin-node.log
port 4949
pid_file /var/run/munin/munin-node.pid
background 1
setseid 1

# Which port to bind to;
host *
user root
group root
setsid yes

# Regexps for files to ignore

ignore_file ~$
ignore_file \.bak$
ignore_file %$
ignore_file \.dpkg-(tmp|new|old|dist)$
ignore_file \.rpm(save|new)$

# Set this if the client doesn't report the correct hostname when
# telnetting to localhost, port 4949
#
#host_name localhost.localdomain

# A list of addresses that are allowed to connect.  This must be a
# regular expression, due to brain damage in Net::Server, which
# doesn't understand CIDR-style network notation.  You may repeat
# the allow line as many times as you'd like

allow ^127\.0\.0\.1$
allow ^10\.0\.2\.2$
tjener:~#

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Munin Debian Maintainers <munin-deb-maint@linpro.no>:
Bug#567168; Package munin. (Thu, 28 Jan 2010 00:06:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Munin Debian Maintainers <munin-deb-maint@linpro.no>. (Thu, 28 Jan 2010 00:06:09 GMT) Full text and rfc822 format available.

Message #20 received at 567168@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Petter Reinholdtsen <pere@hungry.com>, 567168@bugs.debian.org
Subject: Re: Bug#567168: closed by Holger Levsen <holger@layer-acht.org> (Re: Bug#567168: munin: Fail to work out of the box because /var/www/munin/ is missing)
Date: Thu, 28 Jan 2010 01:02:50 +0100
[Message part 1 (text/plain, inline)]
Hi Petter,

On Mittwoch, 27. Januar 2010, Petter Reinholdtsen wrote:
> > The Debian Edu configuration is broken.
>
> How?  This is the complete Debian Edu configuration for Munin, and
> /var/www/munin is not mentioned anywhere. 

grepping for "munin" in svn/trunk/debian-edu-config gave me this:

./etc/apache2/sites-available/debian-edu-default:    # add alias for munin, 
though it should really be handled by munin itself,
./etc/apache2/sites-available/debian-edu-default:    
Alias /munin "/var/www/munin/"

Bingo.

> Seem to me some default value is wrong in the munin package. 

No. The default just changed. But there is nothing wrong with that :) 
debian-edu-config needs to be changed for squeeze. (And there should be no 
need to set the alias, the munin package does that since a really long time).


cheers,	
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Munin Debian Maintainers <munin-deb-maint@linpro.no>:
Bug#567168; Package munin. (Thu, 28 Jan 2010 06:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Munin Debian Maintainers <munin-deb-maint@linpro.no>. (Thu, 28 Jan 2010 06:06:03 GMT) Full text and rfc822 format available.

Message #25 received at 567168@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Holger Levsen <holger@layer-acht.org>, 567168@bugs.debian.org
Subject: Re: munin: Fail to work out of the box because /var/www/munin/ is missing)
Date: Thu, 28 Jan 2010 07:04:53 +0100
reassign 567168 sitesummary
reopen 567168
found 567168 0.0.50
thanks

[Holger Levsen]
> grepping for "munin" in svn/trunk/debian-edu-config gave me this:
> 
> ./etc/apache2/sites-available/debian-edu-default:    # add alias for munin, 
> though it should really be handled by munin itself,
> ./etc/apache2/sites-available/debian-edu-default:    
> Alias /munin "/var/www/munin/"
> 
> Bingo.

The munin cron job uses the apache configuration to figure out where
to store the resulting files?  Sorry, I do not believe it.  :)

I tried to remove it in my test install, and as expected the munin
cron job fail like this even without the apache alias in place:

  cp: cannot create regular file `/var/www/munin/': Is a directory
  [ERROR] Could not copy style.css from /etc/munin/templates to /var/www/munin

I had a closer look using "grep -l /var/www/munin $(dpkg -L munin)",
and found /var/www/munin listed in /etc/munin/munin.conf, which in
this case is generated by sitesummary.  This make me conclude that the
error actually is in sitesummary, and reassign this bug there.

> No. The default just changed. But there is nothing wrong with that
> :) debian-edu-config needs to be changed for squeeze.

Fine, if you can point to the value /var/www/munin/ being set in the
debian-edu-config configuration for munin I understand what need to be
changed.

> (And there should be no need to set the alias, the munin package
> does that since a really long time).

Good.

Happy hacking,
-- 
Petter Reinholdtsen




Bug reassigned from package 'munin' to 'sitesummary'. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Thu, 28 Jan 2010 06:06:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions munin/1.4.3-2. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Thu, 28 Jan 2010 06:06:05 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 28 Jan 2010 06:06:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions sitesummary/0.0.50. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Thu, 28 Jan 2010 06:06:07 GMT) Full text and rfc822 format available.

Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Thu, 04 Feb 2010 10:30:06 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Thu, 04 Feb 2010 10:30:06 GMT) Full text and rfc822 format available.

Message #38 received at 567168-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 567168-close@bugs.debian.org
Subject: Bug#567168: fixed in sitesummary 0.0.59
Date: Thu, 04 Feb 2010 10:27:26 +0000
Source: sitesummary
Source-Version: 0.0.59

We believe that the bug you reported is fixed in the latest version of
sitesummary, which is due to be installed in the Debian FTP archive:

sitesummary-client_0.0.59_all.deb
  to main/s/sitesummary/sitesummary-client_0.0.59_all.deb
sitesummary_0.0.59.dsc
  to main/s/sitesummary/sitesummary_0.0.59.dsc
sitesummary_0.0.59.tar.gz
  to main/s/sitesummary/sitesummary_0.0.59.tar.gz
sitesummary_0.0.59_all.deb
  to main/s/sitesummary/sitesummary_0.0.59_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 567168@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated sitesummary package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 04 Feb 2010 10:53:25 +0100
Source: sitesummary
Binary: sitesummary sitesummary-client
Architecture: source all
Version: 0.0.59
Distribution: unstable
Urgency: low
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 sitesummary - Generate site summary of submitting hosts (server part)
 sitesummary-client - Generate site summary of submitting hosts (client part)
Closes: 567168
Changes: 
 sitesummary (0.0.59) unstable; urgency=low
 .
   * Restructure cron job, move munin and nagios updating code to
     separate scripts to make it possible to update them individually.
   * Change cron job to remove entries before munin and nagios
     configuration is updated, to avoid monitoring removed hosts a day
     after they are removed.
   * New function get_debian_ver() reporting /etc/debian_release content
     in SiteSummary perl module.
   * Create Nagios hostclass using the result from get_debian_ver().
   * New munin plugin drawing graph based on agesinceseen values donated
     by Sverre Jensen.  Rewritten to use the SiteSummary perl module by
     Petter Reinholdtsen.
   * Introduce new agesinceseen group 120-180 to have one limit that
     match the default removal limit (120 days).
   * Adjust munin plugin reporting site count to use original site as
     label and only remove illegal characters for the munin key.
   * Adjust sitesummary postinst to only try to enable nagios
     autoconfig if /etc/default/nagios3 exist.
   * Change munin configuration to use /var/cache/munin/www/ if the
     directory exist, to work out of the box with munin 1.4.0 (Closes:
     #567168).
   * Add new nagios pluing check_kernel_status to report the need for a
     reboot to activate a new kernel.  Written by Toni Van Remortel and
     found at <URL: http://www.monitoringexchange.org >.
   * Do not generate Nagios check for file systems with the fuse.ltspfs
     type, to avoid checking users usb disks on a thin client server.
   * Add three Nagios checks to detect bugs in /etc/resolv.conf,
     /etc/hosts and a shutdown in progress, all written by Petter
     Reinholdtsen and used by the University of Oslo.
   * Move cdpr from recommends to suggests, to avoid installing it by
     default as should only be installed on system connected to Cisco
     switches.
Checksums-Sha1: 
 d3d64896275709c7943a4a17fd7110458847f567 1068 sitesummary_0.0.59.dsc
 e75321165d34dd0436a72b25875067853d0276cc 62586 sitesummary_0.0.59.tar.gz
 4e0800b7a4fd5df75e5cbf785141299c13466ab9 43024 sitesummary_0.0.59_all.deb
 e760c02c628d2639266002009f46794c7203ea26 27662 sitesummary-client_0.0.59_all.deb
Checksums-Sha256: 
 1feac642fe301a27df02f0297651aa946fa021629e41b1761664fb96b9e9a43e 1068 sitesummary_0.0.59.dsc
 2b369b2a5b1c78e4b9c459d99443b8c9c3f875928a60ec2c9d5efd673ac409be 62586 sitesummary_0.0.59.tar.gz
 cbc32539ed679ea533bf2354f953a35435adaf227369cecc003a7ff73630017d 43024 sitesummary_0.0.59_all.deb
 2a4a5a9a6258d3cc37b3eeb42502973340049a4da97d4167a83449a8048b91eb 27662 sitesummary-client_0.0.59_all.deb
Files: 
 d9a5fc225af101501b9ff381a23740b1 1068 misc optional sitesummary_0.0.59.dsc
 d5a740529050da928e0d9b40cfdd2c94 62586 misc optional sitesummary_0.0.59.tar.gz
 e542593fa47483edd564f3d57b4738e3 43024 misc optional sitesummary_0.0.59_all.deb
 addc2832f429cb796b168f7d98c712ce 27662 misc optional sitesummary-client_0.0.59_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFLaprk20zMSyow1ykRAqtEAJ9Wvli+8pCTFq1Olkr2BTktSc/4qQCgo+4A
Mb7bNcw08H+rwKx4s6kkRmk=
=sYG/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 15 Mar 2010 07:42:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:47:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.